CP(1)

BEZEICHNUNG
cp - Dateien und Verzeichnisse kopieren

ÜBERSICHT
cp [OPTION]... [-T] SOURCE DEST
cp [OPTION]... SOURCE... DIRECTORY
cp [OPTION]... -t DIRECTORY SOURCE...

BESCHREIBUNG

Kopieren von QUELLE nach ZIEL oder mehrere QUELLE(n) in VERZEICHNIS.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --archive
    same as -dR --preserve=all

--attributes-only
    Die Daten der Datei nicht kopieren, nur die Attribute

--backup[=CONTROL]
    Eine Sicherungskopie von jeder vorhandenen Zieldatei erstellen

-b  Wie --backup, akzeptiert aber kein Argument

--copy-contents
    Wenn rekursiv, Inhalt von Spezialdateien kopieren

-d  same as --no-dereference --preserve=links

-f, --force
    Wenn eine existierende Zieldatei nicht geöffnet werden kann, löschen und erneut versuchen (dies wird bei Verwendung der Option -n ignoriert)

-i, --interactive
    Vor einem Überschreiben nachfragen (setzt eine vorangehende Option -n außer Kraft)

-H  Symbolischen Verweisen folgen, die auf der Befehlszeile als QUELLE angegeben sind

-l, --link
    Harte Dateiverweise erstellen statt zu kopieren

-L, --dereference
    Symbolischen Verweisen in QUELLE immer folgen

-n, --no-clobber
    Keine existierenden Dateien überschreiben (setzt eine vorangehende Option -i außer Kraft)

-P, --no-dereference
    Symbolischen Verweisen in QUELLE nie folgen

-p  same as --preserve=mode,ownership,timestamps

--preserve[=ATTR_LIST]
    Angegebene Dateiattribute erhalten (Voreinstellung: »mode,ownership,timestamps«), wenn möglich weitere Attribute erhalten: context, links, xattr, all

--no-preserve=ATTR_LIST
    Angegebene Attribute nicht erhalten

--parents
    Vollständigen Dateinamen der Quelle in VERZEICHNIS benutzen

-R, -r, --recursive
    Verzeichnisse rekursiv kopieren

--reflink[=WHEN]
    Steuert Klon-/CoW-(»Copy-on-Write«)-Kopien. Siehe unten

--remove-destination
    Jede existierende Zieldatei löschen, bevor versucht wird, sie zu öffnen (vergleiche --force)

--sparse=WHEN
    Die Erstellung von Sparse-Dateien steuern. Siehe unten

--strip-trailing-slashes
    Schrägstriche am Ende jedes QUELLE‐Arguments entfernen

-s, --symbolic-link
    Symbolische Verweise erzeugen anstatt zu kopieren

-S, --suffix=SUFFIX
    Die übliche Endung für Sicherungskopien überschreiben

-t, --target-directory=DIRECTORY
    Alle QUELLE‐Argumente in VERZEICHNIS kopieren

-T, --no-target-directory
    ZIEL als normale Datei behandeln

-u, --update
    Nur kopieren, wenn die QUELL‐Datei neuer ist als die Zieldatei oder die Zieldatei nicht existiert

-v, --verbose
    Durchgeführte Tätigkeiten erklären

-x, --one-file-system
    In diesem Dateisystem verbleiben

-Z  Den SELinux-Sicherheitskontext der Zieldatei auf den vorgegebenen Typ setzen

--context[=CTX]
    Wie -Z, oder falls KTX angegeben ist, wird der SELinux- oder SMACK-Sicherheitskontext auf KTX gesetzt.

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

By default, sparse SOURCE files are detected by a crude heuristic and the corresponding DEST file is made sparse as well. That is the behavior selected by --sparse=auto. Specify --sparse=always to create a sparse DEST file whenever the SOURCE file contains a long enough sequence of zero bytes. Use --sparse=never to inhibit creation of sparse files.

When --reflink[=always] is specified, perform a lightweight copy, where the data blocks are copied only when modified. If this is not possible the copy fails, or if --reflink=auto is specified, fall back to a standard copy.

Die Endung für Sicherheitskopien ist »~«, außer wenn sie mit --suffix oder SIMPLE_BACKUP_SUFFIX gesetzt wurde. Die Methode der Versionssteuerung kann mit der Option --backup oder der Umgebungsvariablen VERSION_CONTROL ausgewählt werden. Mögliche Werte sind:

none, off
    Niemals Sicherheitskopien erstellen (selbst wenn --backup angegeben wurde)

numbered, t
    Erstellen von nummerierten Sicherheitskopien

existing, nil
    Nummeriert (»numbered«), wenn nummerierte Sicherheitskopien existieren, sonst einfach (»simple«).

simple, never
    Immer einfache Sicherheitskopien erstellen

Als Spezialfall erzeugt cp eine Sicherheitskopie von QUELLE, wenn die Optionen »force« und »backup« angegeben wurden und QUELLE und ZIEL der gleiche Name für eine existierende reguläre Datei sind.

AUTOR
Geschrieben von Torbjörn Granlund, David MacKenzie und Jim Meyering.

FEHLER BERICHTEN
Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von cp an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <http://www.gnu.org/software/coreutils/cp>
oder lokal verfügbar mit: info '(coreutils) cp invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.